### Method

# Gegl MetadataStorenotify

#### Declaration [src]

    void
    gegl_metadata_store_notify (
      GeglMetadataStore* self,
      GParamSpec* pspec,
      gboolean shadow
    )

#### Description [src]

Gegl_metadata_store_notify() is called by subclasses when the value of a metadata variable changes. It emits the `::changed` signal with the variable name as the detail parameter. Set `shadow` = `TRUE` if variable is shadowed by a property so that a notify signal is emitted with the property name as the detail parameter.

#### Parameters

`pspec`

  Type: `GParamSpec`

  The `GParamSpec` used to declare the variable.

  The data is owned by the caller of the method.

`shadow`

  Type: `gboolean`

  The metadata variable shadows a property.